<!--
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<div class="ddp-ui-benchtable">
  <!-- table name -->
  <div class="ddp-ui-table-name">
    {{tableName}}
    <a href="javascript:" class="ddp-btn-close" (click)="close();"></a>
  </div>
  <!-- //table name -->
  <div class="ddp-ui-columnlist">
    <!-- label -->
    <div class="ddp-ui-label">
      {{'msg.bench.ui.column.list'|translate}}
      <!-- search -->
      <div class="ddp-form-search">
        <em class="ddp-icon-search" ></em>
        <input type="text" placeholder="{{'msg.bench.ui.search'|translate}}" [(ngModel)]="searchText" (keyup.esc)="searchText=''">
        <em class="ddp-btn-search-close" *ngIf="searchText" (click)="searchText=''"></em>
      </div>
      <!-- //search -->
    </div>
    <!-- //label -->

    <ul class="ddp-list-column">
      <li *ngFor="let column of filteredColumns" (click)="setColumn(column.columnName)">
        <a href="javascript:" title="{{column.columnName}}">
          <div class="ddp-data-char">
            {{column.columnType}} ({{column.columnSize}})
          </div>
          <div class="ddp-data-columnname">
            {{column.columnName}}
          </div>
          <em class="ddp-btn-more"></em>
        </a>

      </li>
    </ul>
  </div>
</div>
